Debian Bug report logs - #339835
please do not build-depend on gawk, use awk instead

version graph

Package: noweb; Maintainer for noweb is Hubert Chathi <uhoreg@debian.org>; Source for noweb is src:noweb.

Reported by: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>

Date: Sat, 19 Nov 2005 06:03:01 UTC

Severity: serious

Tags: fixed, patch

Fixed in version 2.11b-1.4

Done: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#339835; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ifupdown: should Build-Conflict: original-awk
Date: Sat, 19 Nov 2005 05:48:21 +0000
Package: ifupdown
Version: 0.6.7
Severity: important

ifupdown FTBFS if awk is original-awk.  It calls nawk, and nawk is not provided
by original-awk.  If you think a Build-Depends: gawk | mawk is better, then do
that, or feel free to reassign.

This is only important because I can't be bothered to test on a Linux machine,
but I think that it is likely it will fail as well.  If you want me to test it,
please let me know, and I'll be happy to boot my laptop.

-- System Information:
Debian Release: testing/unstable
Architecture: kfreebsd-i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: GNU/kFreeBSD 5.4-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages ifupdown depends on:
ii  debconf [debconf-2.0] 1.4.59             Debian configuration management sy
ii  inetutils-tools [net- 2:1.4.2+20040207-6 Base networking utilities (experim
ii  libc0.1               2.3-1+kbsd.13      GNU C Library: Shared libraries an

ifupdown recommends no packages.

-- debconf information:
  ifupdown/convert-interfaces: true



Tags added: sid Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#339835; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #12 received at 339835@bugs.debian.org (full text, mbox):

From: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>
To: 339385@bugs.debian.org, 339835@bugs.debian.org, control@bugs.debian.org
Subject: nowebm should Conflict: original-awk
Date: Wed, 17 May 2006 15:20:35 +0000
[Message part 1 (text/plain, inline)]
# I'm sorry, I must be on crack today.
# This is the second time *today* that I screwed up like this.
package nowebm
reassign 339385 netperf
package netperf
severity 339385 normal
retitle 339385 netperf: no "example/" directory included
# Now do the right thing.
package ifupdown
reassign 339835 nowebm
package nowebm
severity 339835 serious
retitle 339835 nowebm: must Conflict: original-awk
thanks, control, and have a nice day

First of all, apologies to 339385's submitter and maintainer.

For the ifupdown/nowebm people:

It appears that nowebm is the culprit here.  I have successfully
reproduced this on i386, hence the severity.

nowebm uses nawk to parse data (specifically /usr/bin/noroots).  The
problem is that nawk does not exist in original-awk, although awk does.
Therefore, either nowebm must Conflict: original-awk or use awk and only
those features that are available in an "old" awk.  It would be
inappropriate to Depend: mawk | gawk, as there would still be a problem
if one of those packages were installed along with original-awk, but
original-awk were chosen using alternatives.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `ifupdown' to `nowebm'. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#339835; Package nowebm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Federico Di Gregorio <fog@debian.org>. Full text and rfc822 format available.

Message #23 received at 339835@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 339835@bugs.debian.org
Cc: 339835-submitter@bugs.debian.org
Subject: don't understand the reasoning in this bug report
Date: Fri, 9 Jun 2006 19:08:37 -0400
[Message part 1 (text/plain, inline)]
I don't understand the reasoning in this bug report. nowebm uses nawk,
which is not provided by original-awk, so it is irelivant if original-awk
is installed, or what /usr/bin/awk points to.

This bug can be fixed simply by making noweb depend on gawk, which
provides the nawk program via alternatives.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Tags removed: sid Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug#339835. Full text and rfc822 format available.

Tags added: fixed Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#339835; Package nowebm. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Federico Di Gregorio <fog@debian.org>. Full text and rfc822 format available.

Message #35 received at 339835@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>, control@bugs.debian.org
Cc: 339835@bugs.debian.org
Subject: Re: Bug#339835: configuring alternatives to use original-awk loses nawk
Date: Sun, 11 Jun 2006 12:43:13 -0400
[Message part 1 (text/plain, inline)]
reopen 339835
reassign 339835 original-awk
retitle 339835 configuring alternatives to use original-awk loses nawk
thanks

Brian M. Carlson wrote:
> I believe the problem in question is the fact that nawk is a slave to
> awk (try update-alternatives --display awk).  If this is a bug in
> update-alternatives, please feel free to reassign.

I belive that this is a bug in original-awk, since the "awk" alternative
includes nawk, and original-awk doesn't include it. original-awk could
probably avoid this problem by changing its update-alternatives call to
register /usr/bin/mawk as providing the nawk alternative (mawk is
required, so it will always be installed).

Alternatively, this could be considered a bug in gawk and mawk for
registering nawk as a slave link when not all awks can provide it.
Going with that line of reasoning, nawk should be managed via a separate
alternative.

It seems unreasonable for every package that uses nawk to conflict with
original-awk because of this problem.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `nowebm' to `original-awk'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#339835; Package original-awk. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #44 received at 339835@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>, Pierre Habouzit <madcoder@debian.org>
Cc: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>, control@bugs.debian.org, 339835@bugs.debian.org
Subject: Re: Bug#339835: configuring alternatives to use original-awk loses nawk
Date: Mon, 12 Jun 2006 00:53:04 +0200 (CEST)
reassign 339835 ifupdown
retitle 339835 please do not build-depend on gawk, use awk instead
thanks

Brian M. Carlson writes:

> either nowebm must Conflict: original-awk or use awk and only
> those features that are available in an "old" awk.

No, that's not true.

Every awk in Debian, including original-awk, is a "new awk".

The "original" in original-awk, means it's the "one true awk",
the implementation from the original Unix (the upstream author for
this awk is Brian Kernighan).

It does NOT mean it's not a "new awk". It has ARGC and all the things
a "new awk" is supposed to have.

Joey Hess writes:

> This bug can be fixed simply by making noweb depend on gawk, which
> provides the nawk program via alternatives.

Maybe, but that would not be the right thing to do. A build-dependency on
a package is gratuitous if you can use instead an essential package.
In this case, neither mawk or gawk are essential, but awk is.

As awk is essential, the right fix would be to use awk.
Not mawk, not gawk, and not nawk.

Joey Hess writes:

> mawk is required, so it will always be installed

No, a required package may only be assumed to be always installed
(as far as build-dependencies is concerned) if it's "Essential: yes".
mawk is required, but it's not "Essential: yes".

Instead, awk is "virtually essential" (as base-files depends on awk),
so it's /usr/bin/awk what you can assume it will always exist.


It is very unfortunate that "virtual-package-names-list" speaks about nawk,
for several reasons:

a) POSIX already requires /usr/bin/awk to be a "new awk", so we should
probably standarize around /usr/bin/awk and forget about nawk.

b) nawk is probably the best name for original-awk, but original-awk
may not be named nawk because it's already taken. It should not be.

c) Making original-awk to provide nawk would make nawk essential
de-facto, with the same level of "essentialness" as awk. If we want to
standarize around awk (as probably POSIX requires), we should not make
nawk essential.

Thanks.



Bug reassigned from package `original-awk' to `ifupdown'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#339835; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Bastian Kleineidam <calvin@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #55 received at 339835@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@users.sourceforge.net>
To: 339835@bugs.debian.org
Subject: Re: please do not build-depend on gawk, use awk instead
Date: Thu, 10 Aug 2006 18:54:13 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

this bug should be applied to noweb. The ifupdown package only uses the
plain "awk" script, nothing else.

Regards,
  Bastian
- --
  ,''`.                  Bastian Kleineidam
 : :' :                    GnuPG Schl├╝ssel
 `. `'    gpg --keyserver wwwkeys.pgp.net --recv-keys 32EC6F3E
   `-

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFE22S1eBwlBDLsbz4RAjnWAJ9WZAPQeGiytArmdgmD448APWhm+ACfSKoH
DAIdQ/9kQeGoMb4ytdqqkxQ=
=+IMI
-----END PGP SIGNATURE-----



Bug reassigned from package `ifupdown' to `noweb'. Request was from Bastian Kleineidam <calvin@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#339835; Package noweb. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Federico Di Gregorio <fog@debian.org>. Full text and rfc822 format available.

Message #62 received at 339835@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 339835@bugs.debian.org
Subject: Patch: make noweb use any awk
Date: Mon, 28 Aug 2006 18:02:49 +0100
[Message part 1 (text/plain, inline)]
The noweb source has a script called "awkname" that allows changing the
awk command from nawk.  Unfortunately this does not cover all the
programs included, and the change is not easily reversible.  It also
doesn't make the manual page reflect the selected command.

Here's a patch that fixes awkname, makes debian/rules use it, and
changes the manual page to match the resulting behaviour.  However it
might well be better to make the command changes in a patch rather than
through awkname.

diff -ur noweb-2.11b.orig/debian/rules noweb-2.11b/debian/rules
--- noweb-2.11b.orig/debian/rules	2006-08-28 16:39:38.000000000 +0000
+++ noweb-2.11b/debian/rules	2006-08-28 16:32:20.057372387 +0000
@@ -55,14 +55,22 @@
 
 # Make rules
 
-configure: patch
-	dh_testdir
+configure: patch patch-awk
 
 # eventually drop this
 BUILD_TREE := $(PWD)
 
+patch-awk: patch-awk-stamp
+patch-awk-stamp:
+	cd $(BUILD_TREE)/src && ./awkname awk
+	touch patch-awk-stamp
+
+unpatch-awk:
+	cd $(BUILD_TREE)/src && ./awkname nawk
+	rm -f patch-awk-stamp
+
 build-arch: build-arch-stamp
-build-arch-stamp: patch
+build-arch-stamp: configure
 	dh_testdir
 	cd $(BUILD_TREE)/src && \
 	  $(MAKE) LIBSRC=icon ICONC="${ICONC}" \
@@ -90,7 +98,7 @@
 
 build: build-arch build-indep
 
-clean: clean-patched unpatch
+clean: clean-patched unpatch-awk unpatch
 clean-patched:
 	dh_testdir
 	dh_testroot
diff -ur noweb-2.11b.orig/src/awkname noweb-2.11b/src/awkname
--- noweb-2.11b.orig/src/awkname	2000-06-16 20:26:42.000000000 +0000
+++ noweb-2.11b/src/awkname	2006-08-28 16:39:12.630973288 +0000
@@ -7,12 +7,13 @@
 rc=0
 new=/tmp/$$.new; old=/tmp/$$.old
 
-for file in lib/emptydefn lib/unmarkup lib/toascii lib/btdefn \
+for file in ../examples/sharpline \
+                        lib/emptydefn lib/unmarkup lib/toascii lib/btdefn lib/pipedocs \
                         awk/noidx awk/totex awk/tohtml awk/noindex \
-                        shell/nocount shell/nountangle shell/noweb shell/noroots
+                        shell/nocount shell/nountangle shell/noweb shell/noroots shell/noroff shell/toroff
 do
   trap 'rm -f $new $old; exit 1' 1 2 15 # clean up files
-  if sed -e "s/nawk '/$1 '/" -e "s/nawk -f/$1 -f/" < $file >$new;  then
+  if sed -e "s/\\(g\\|n\\|\\)awk \\('\\|-f\\)/$1 \\2/" -e "s/^AWK=\\(g\\|n\\|\\)awk/AWK=$1/" < $file >$new;  then
     cp $file $old       # save original file
     trap 'trap "" 1 2 15; cp $old $file # ignore signals
           rm -f $new $old; exit 1' 1 2 15       # during restore
--- noweb-2.11b.orig/src/xdoc/manpage.nw	2006-05-04 16:07:04.000000000 +0000
+++ noweb-2.11b/src/xdoc/manpage.nw	2006-08-28 16:49:21.644672959 +0000
@@ -358,9 +358,7 @@
 \".PP
 \".I noweb
 \"requires the new version of
-\".IR awk ,
-\"assumed to be called
-\".IR nawk .
+\".IR awk .
 \"DEC
 \".I nawk
 \"has a bug in that that causes 
@@ -561,9 +559,7 @@
 .PP
 .I noweb
 requires the new version of
-.IR awk ,
-assumed to be called
-.IR nawk .
+.IR awk .
 DEC
 .I nawk
 has a bug in that that causes problems with braces in
-- END --

Ben.

-- 
Ben Hutchings -- ben@decadentplace.org.uk shortened to ben@decadent.org.uk
If you've signed my GPG key, please send a signature on and to the new uid.
The program is absolutely right; therefore, the computer must be wrong.
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Federico Di Gregorio <fog@debian.org>:
Bug#339835; Package noweb. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@ftbfs.de>:
Extra info received and forwarded to list. Copy sent to Federico Di Gregorio <fog@debian.org>. Full text and rfc822 format available.

Message #69 received at 339835@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@ftbfs.de>
To: 339835@bugs.debian.org
Subject: upload during BSP
Date: Fri, 15 Sep 2006 16:45:43 +0200
Hi

i uploaded this package during our BSPMarathon using above patch.

Greetings
zobel



Tags added: fixed Request was from Martin Zobel-Helas <zobel@ftbfs.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.11b-1.4, send any further explanations to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>:
Bug#339835. Full text and rfc822 format available.

Message #76 received at 339835-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 331601-submitter@bugs.debian.org, 331607-submitter@bugs.debian.org, 332216-submitter@bugs.debian.org, 332237-submitter@bugs.debian.org, 332389-submitter@bugs.debian.org, 332424-submitter@bugs.debian.org, 325490-submitter@bugs.debian.org, 332451-submitter@bugs.debian.org, 332507-submitter@bugs.debian.org, 332702-submitter@bugs.debian.org, 332703-submitter@bugs.debian.org, 332808-submitter@bugs.debian.org, 332896-submitter@bugs.debian.org, 333035-submitter@bugs.debian.org, 342420-submitter@bugs.debian.org, 333046-submitter@bugs.debian.org, 333460-submitter@bugs.debian.org, 333857-submitter@bugs.debian.org, 333885-submitter@bugs.debian.org, 340743-submitter@bugs.debian.org, 334252-submitter@bugs.debian.org, 334320-submitter@bugs.debian.org, 334651-submitter@bugs.debian.org, 335126-submitter@bugs.debian.org, 335144-submitter@bugs.debian.org, 335146-submitter@bugs.debian.org, 335252-submitter@bugs.debian.org, 335274-submitter@bugs.debian.org, 335567-submitter@bugs.debian.org, 335719-submitter@bugs.debian.org, 335842-submitter@bugs.debian.org, 336168-submitter@bugs.debian.org, 336312-submitter@bugs.debian.org, 336485-submitter@bugs.debian.org, 379846-submitter@bugs.debian.org, 336535-submitter@bugs.debian.org, 336710-submitter@bugs.debian.org, 337246-submitter@bugs.debian.org, 337453-submitter@bugs.debian.org, 337495-submitter@bugs.debian.org, 337576-submitter@bugs.debian.org, 337593-submitter@bugs.debian.org, 339192-submitter@bugs.debian.org, 346695-submitter@bugs.debian.org, 347154-submitter@bugs.debian.org, 337708-submitter@bugs.debian.org, 337711-submitter@bugs.debian.org, 338327-submitter@bugs.debian.org, 340076-submitter@bugs.debian.org, 345223-submitter@bugs.debian.org, 338370-submitter@bugs.debian.org, 338432-submitter@bugs.debian.org, 338483-submitter@bugs.debian.org, 338537-submitter@bugs.debian.org, 338920-submitter@bugs.debian.org, 339024-submitter@bugs.debian.org, 341234-submitter@bugs.debian.org, 339073-submitter@bugs.debian.org, 339103-submitter@bugs.debian.org, 339187-submitter@bugs.debian.org, 339220-submitter@bugs.debian.org, 339225-submitter@bugs.debian.org, 339226-submitter@bugs.debian.org, 339236-submitter@bugs.debian.org, 339241-submitter@bugs.debian.org, 339250-submitter@bugs.debian.org, 339267-submitter@bugs.debian.org, 339268-submitter@bugs.debian.org, 339280-submitter@bugs.debian.org, 339711-submitter@bugs.debian.org, 339806-submitter@bugs.debian.org, 339835-submitter@bugs.debian.org, 340010-submitter@bugs.debian.org, 340084-submitter@bugs.debian.org, 340163-submitter@bugs.debian.org, 340174-submitter@bugs.debian.org, 340516-submitter@bugs.debian.org, 340577-submitter@bugs.debian.org, 341011-submitter@bugs.debian.org, 341975-submitter@bugs.debian.org, 342035-submitter@bugs.debian.org, 342322-submitter@bugs.debian.org, 346188-submitter@bugs.debian.org, 347153-submitter@bugs.debian.org, 343035-submitter@bugs.debian.org, 343771-submitter@bugs.debian.org, 343782-submitter@bugs.debian.org, 343795-submitter@bugs.debian.org, 343804-submitter@bugs.debian.org, 343912-submitter@bugs.debian.org, 343989-submitter@bugs.debian.org, 344029-submitter@bugs.debian.org, 344254-submitter@bugs.debian.org, 344447-submitter@bugs.debian.org, 344503-submitter@bugs.debian.org, 345737-submitter@bugs.debian.org, 345880-submitter@bugs.debian.org, 344742-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 23:09:18 +0100
# Hi,
#
# These bugs were fixed in an NMU, but have not been acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important
# to know which version of a package fixes each bug so that they can be
# tracked for release status, so I'm closing these bugs with the
#relevant version information now

close 331601 0.11.3-1.3
close 331607 0.11.3-1.3
close 332216 2005.08.R1-1.1
close 332237 0.11.3-1.4
close 332389 3.1.2-0.1
close 332424 2.6.1-6sarge1
close 325490 0.7.1-1.1
close 332451 0.7.1-1.1
close 332507 0.4.5+cvs20030824-1.5
close 332702 1.5-2.1
close 332703 2.1.19-1.7
close 332808 2.0.12-1.5
close 332896 2.6.2.pre2-1.1
close 333035 0.12-8.1
close 342420 0.12-8.1
close 333046 2.2-5.1
close 333460 1.0-23.2
close 333857 1.0-23.2
close 333885 1.0.20040603-1.1
close 340743 1.0.20040603-1.1
close 334252 20031130-2.1
close 334320 1.4.2-5.1
close 334651 3.0-4.1
close 335126 0.5.3-1.1
close 335144 3.1.1-4.1
close 335146 0.2-1.1
close 335252 0.4.0-1.1
close 335274 0.13-3.2
close 335567 0.4.5+cvs20030824-1.6
close 335719 3.0.cvs20050714-1.1
close 335842 3.10-1.1
close 336168 1.4-2.1
close 336312 0.2.4-4.1
close 336485 2.1.19.dfsg1-0.3
close 379846 2.1.19.dfsg1-0.3
close 336535 2005.08.R1-1.2
close 336710 1:3.2.6-2.1
close 337246 1.0.1-6.1
close 337453 0.9b3-2.1
close 337495 2.09-2sarge1
close 337576 20.0-1.1
close 337593 1.1.3-5.1
close 339192 1.1.3-5.1
close 346695 1.1.3-5.1
close 347154 1.1.3-5.1
close 337708 1.20-2.1
close 337711 0.5-0.2
close 338327 1.9-11.1
close 340076 1.9-11.1
close 345223 1.9-11.1
close 338370 1.35-4.1
close 338432 2.3.3-6.2
close 338483 0.95-1.3
close 338537 1.6-1.1
close 338920 46-2.1
close 339024 4.2.24-1.1
close 341234 4.2.24-1.1
close 339073 1.5.19-20+sarge1
close 339103 0.5.0-1.1
close 339187 6:6.2.4.5-0.3
close 339220 0.6.5-2
close 339225 1.0.4-1.2
close 339226 2.6.1-2.2
close 339236 2.6.2.pre2-1.2
close 339241 1.2.2-4.1
close 339250 6.4-1.1
close 339267 4.2.0-8.1
close 339268 0.7.2-1.1
close 339280 0.1.5.9+cvs.2004.02.07-3.3
close 339711 2.0pl5-19.4
close 339806 0.8pre1-6.1
close 339835 2.11b-1.4
close 340010 1.3-2.2
close 340084 1:1.2.3-9.1
close 340163 0.2.9-5.1
close 340174 0.99.44-0.1
close 340516 1.1.6-2.1
close 340577 1.1.0.20050815-2.1
close 341011 1.8-1.1
close 341975 0.70.1-1.1
close 342035 0.70.1-1.1
close 342322 9.4.2-2.5
close 346188 9.4.2-2.5
close 347153 9.4.2-2.5
close 343035 0.3b.19990815-3.1
close 343771 4.3.9-2.1
close 343782 1.3.13.1-4.1
close 343795 0.5.8-0.1
close 343804 0.3.7-4.1
close 343912 0.0.4-2.1
close 343989 8.4.11-1.1
close 344029 2.1-5.1
close 344254 2.0.9-3.2
close 344447 0.79-3.1
close 344503 9.4.2-2.7
close 345737 2.1.19-1.8
close 345880 2.1.19-1.8
close 344742 0.1.14-1.1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 05:01:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:05:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.